<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number72</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.72:</b> Write a JavaScript program to check if the first and last elements are equal of a given array of integers length 3 or more </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num" placeholder="Numbers of array`s elements!" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
		function generate() {
			var num = + document.getElementById('num').value;
			var arr = [];
			if (num>0) {
				for(i=0 ; i<num ; i++) {
					arr.push(prompt("Enter the element number " + (i+1)));
					arr.map(Number);
					if ( arr[0] == arr[arr.length-1]) {
						document.getElementById('demo').innerHTML=
							"The array you choose is:<br>" + arr.join(", ") +
							"<br>and the condition is TRUE because<br>" + arr[0]+" = " + arr[arr.length-1];
					} else { document.getElementById('demo').innerHTML=
							"The array you choose is:<br>" + "[ " + arr.join(", ") + " ]" +
							"<br>and the condition is FALSE because<br>" + arr[0]+" is not equal to " + arr[arr.length-1];
						
					}
				} 
			}else {
					document.getElementById('demo').innerHTML=
							"You cant use negative values for array`s number of elements";
				}
		}
		
	</script>
</body>
</html>
